Update User
Updates a single user account record.
PUT /system/users/{userId}
- Does not accept filter and sort expressions.
Headers
- Authorization: Bearer {hash string returned from Auth}
Sample Body Data
UserId is required in the body of the message. Include additional fields and values to be updated.
{"UserId":1,
"AdminName":"Jesse Sisko",
}
Model Schema
Field |
Datatype |
Filterable |
Sortable |
|
|
|
|
|
|
|
|
||
|
|
|
||
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
||
|
|
|
||
|
|
|
|
|
|
|
|
|
|
|
|
|
||
|
|
|
|
|
Sample Request Model
{"UserId": 0,
"AdminName": "string",
"AdminPassword": "string",
"Admintype": 0,
"DisableUntil": "2015-08-07T16:27:40.223Z",
"CreationDate": "2015-08-07T16:27:40.223Z",
"AdminScopeIds": [
0
],
"AdminRoleIds": [
0
],
"FirstName": "string",
"LastName": "string",
"DefaultStaffOrgId": 0,
"DefaultStaffDepartmentId": 0,
"Email": "string",
"Attributes": {}}
